# Uses of Interface
javax.imageio.IIOParamController

Packages that use IIOParamController
Package
Description
javax.imageio
The main package of the Java Image I/O API.

## Uses of IIOParamController in javax.imageio

Fields in javax.imageio declared as IIOParamController
Modifier and Type
Field
Description
`protected IIOParamController`
IIOParam.`controller`
The `IIOParamController` that will be used to provide settings for this `IIOParam` object when the `activateController` method is called.
`protected IIOParamController`
IIOParam.`defaultController`
The default `IIOParamController` that will be used to provide settings for this `IIOParam` object when the `activateController` method is called.
Methods in javax.imageio that return IIOParamController
Modifier and Type
Method
Description
`IIOParamController`
IIOParam.`getController()`
Returns whatever `IIOParamController` is currently installed.
`IIOParamController`
IIOParam.`getDefaultController()`
Returns the default `IIOParamController`, if there is one, regardless of the currently installed controller.
Methods in javax.imageio with parameters of type IIOParamController
Modifier and Type
Method
Description
`void`
IIOParam.`setController(IIOParamController controller)`
Sets the `IIOParamController` to be used to provide settings for this `IIOParam` object when the `activateController` method is called, overriding any default controller.